# POST /api/v1/notifications/bulk/seen

> Bulk mark seen

- **Tag:** notifications
- **Operation ID:** `bulk_mark_seen_api_v1_notifications_bulk_seen_post`

## Description

Mark a batch of notifications as seen.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Request body

Schema: `BulkIdsRequest`

- `notification_ids` (array · string · required)

## Responses

### 201 — Successful Response

Schema: `BulkOpResponse`

- `updated` (integer · required)

### 400 — Bad Request - Invalid input

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X POST 'https://api.ondayzero.com/api/v1/notifications/bulk/seen' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID' \
  -H 'Content-Type: application/json' \
  -d '{
  "notification_ids": []
}'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/notifications/bulk/seen', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
  "notification_ids": []
}),
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

payload = {
  "notification_ids": []
}

response = httpx.post("https://api.ondayzero.com/api/v1/notifications/bulk/seen", headers=headers, json=payload)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/notifications/bulk-mark-seen
- OpenAPI slice: https://www.ondayzero.com/docs/reference/notifications/bulk-mark-seen/openapi.json
- Other endpoints in **notifications**: https://www.ondayzero.com/docs/reference/notifications
